<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:27 CEST 2019 -->
<title>ProtocolCollection (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ProtocolCollection (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/ProtocolCollection.html" target="_top">Frames</a></li>
<li><a href="ProtocolCollection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire</div>
<h2 title="Class ProtocolCollection" class="title">Class ProtocolCollection</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.ProtocolCollection</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ProtocolCollection</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&gt;</pre>
<div class="block">Collection of protocols for a connect request.
 <p>
 In general use <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html#getDefaultCollection--"><code>getDefaultCollection()</code></a> to retrieve
 the default collection.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire">ProtocolCollection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html#create-org.firebirdsql.gds.ng.wire.ProtocolDescriptor...-">create</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>...&nbsp;descriptors)</code>
<div class="block">Creates a ProtocolCollection with the specified ProtocolDescriptors.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire">ProtocolCollection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html#getDefaultCollection--">getDefaultCollection</a></span>()</code>
<div class="block">Returns the default ProtocolCollection.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html#getProtocolCount--">getProtocolCount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html#getProtocolDescriptor-int-">getProtocolDescriptor</a></span>(int&nbsp;protocolVersion)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html#getProtocolVersions--">getProtocolVersions</a></span>()</code>
<div class="block">Get a list with the protocol versions in this collection.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html#iterator--">iterator</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="iterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterator</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&gt;&nbsp;iterator()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#iterator--" title="class or interface in java.lang">iterator</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getProtocolDescriptor-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolDescriptor</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&nbsp;getProtocolDescriptor(int&nbsp;protocolVersion)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>protocolVersion</code> - Version of the protocol</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ProtocolDescriptor for the specified version, or null if the
         version is not in this ProtocolCollection</dd>
</dl>
</li>
</ul>
<a name="getProtocolCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolCount</h4>
<pre>public&nbsp;int&nbsp;getProtocolCount()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The protocol count</dd>
</dl>
</li>
</ul>
<a name="getProtocolVersions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolVersions</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&gt;&nbsp;getProtocolVersions()</pre>
<div class="block">Get a list with the protocol versions in this collection.
 <p>
 The returned List is created fresh on every call. Changes to
 the list have no effect on this object. 
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Protocol version numbers</dd>
</dl>
</li>
</ul>
<a name="create-org.firebirdsql.gds.ng.wire.ProtocolDescriptor...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>public static&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire">ProtocolCollection</a>&nbsp;create(<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>...&nbsp;descriptors)</pre>
<div class="block">Creates a ProtocolCollection with the specified ProtocolDescriptors.
 <p>
 If <code>descriptors</code> contains multiple implementations with the
 same value for <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getVersion--"><code>ProtocolDescriptor.getVersion()</code></a>, then the first
 implementation with the highest value for
 <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getWeight--"><code>ProtocolDescriptor.getWeight()</code></a> will be loaded into the
 collection.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>descriptors</code> - Vararg parameter with ProtocolDescriptors</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ProtocolCollection</dd>
</dl>
</li>
</ul>
<a name="getDefaultCollection--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDefaultCollection</h4>
<pre>public static&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire">ProtocolCollection</a>&nbsp;getDefaultCollection()</pre>
<div class="block">Returns the default ProtocolCollection.
 <p>
 The default ProtocolCollection is created when this class is loaded by
 the classloader.
 </p>
 <p>
 This implementation uses the <a href="https://docs.oracle.com/javase/8/docs/api/java/util/ServiceLoader.html?is-external=true" title="class or interface in java.util"><code>ServiceLoader</code></a> to load the default
 collection based on all <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire"><code>ProtocolDescriptor</code></a> implementations found
 using all the
 <code>/META-INF/services/org.firebirdsql.gds.ng.wire.ProtocolDescriptor</code>
 in the classpath. If multiple implementations with the same value for
 <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getVersion--"><code>ProtocolDescriptor.getVersion()</code></a> are found, then the first
 implementation with the highest value for
 <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getWeight--"><code>ProtocolDescriptor.getWeight()</code></a> will be loaded into the default
 collection.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The default ProtocolCollection</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html#create-org.firebirdsql.gds.ng.wire.ProtocolDescriptor...-"><code>create(ProtocolDescriptor...)</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/ProtocolCollection.html" target="_top">Frames</a></li>
<li><a href="ProtocolCollection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
